| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/shader/shaderplugin.h File Reference

Shader plugin related interfaces. More...

`#include "csutil/scf.h"`
`#include "csutil/strhash.h"`
`#include "ivideo/shader/shader.h"`

Go to the source code of this file.

## Classes
struct | csShaderVarMapping
| Mapping of a shader variable to some shader-specific destination. More...
struct | iShaderDestinationResolver
| Interface to allow resolution of friendly destination names. More...
struct | iShaderProgram
| A helper for shaders that which to use the general plugins. More...
struct | iShaderProgramPlugin
| Plugins which provide iShaderProgram should implement this as a factory for iShaderProgram. More...

## Detailed Description

Shader plugin related interfaces.

Definition in file shaderplugin.h.